Bug 295767

Summary: .odp renders differently (vertical offsets) on 'stage' from libre/office
Product: calligrastage Reporter: Dave Gilbert <gilbertd+kde>
Component: generalAssignee: T Zachmann <t.zachmann>
Status: CONFIRMED ---    
Severity: normal CC: inge
Priority: NOR    
Version: 2.4-snapshots   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Screenshot on how it looks for me.
How it looks for Dave
One page example with all the problems

Description Dave Gilbert 2012-03-11 14:18:49 UTC
A presentation I wrote (in OpenOffice):

http://www.treblig.org/talks/10usefulcommandments.odp

renders significantly differently on Stage (2.4 Beta 7 on Ubuntu Precise Beta 1)

The issues mostly seem to relate to vertical offsets;

a) The black title strip is rendered differently.  As shown on Libre Tux is sitting with his feet just dangling over the bottom edge of the darker black band.  On stage the darker black band is below that and the whole top border is thicker.

b) I think that (a) then causes everything else to be further down the page.

c) On page 3 one of the blue highlight bars is offset (it's curious it's only one of them); the one on the left should cover the 2,1,2 rather than beign that bit higher - although this could still be relating to (a).

Of course this could be a difference of opinion on what the format is supposed to mean!
Comment 1 T Zachmann 2012-03-12 05:28:19 UTC
Created attachment 69523 [details]
Screenshot on how it looks for me.

I can't see the problem you describe with the title bar. I have attached a screen shot on how it looks for me in LO and Calligra Stage. To workaround some of the problems on page 3 make the text for the command below the text into its one text box so it is better to align with an additional image. For the line breakage on the right you need to resize the text field a bit so the line also fits in stage. 

That leaves the line spacing issue for the text as it is much bigger in Calligra Stage
Comment 2 Dave Gilbert 2012-03-12 11:24:50 UTC
* T Zachmann (t.zachmann@zagge.de) wrote:
> https://bugs.kde.org/show_bug.cgi?id=295767
> 
> --- Comment #1 from T Zachmann <t.zachmann@zagge.de> ---
> Created attachment 69523 [details]
>   --> https://bugs.kde.org/attachment.cgi?id=69523&action=edit
> Screenshot on how it looks for me.
> 
> I can't see the problem you describe with the title bar. I have attached a
> screen shot on how it looks for me in LO and Calligra Stage. To workaround some
> of the problems on page 3 make the text for the command below the text into its
> one text box so it is better to align with an additional image. For the line
> breakage on the right you need to resize the text field a bit so the line also
> fits in stage. 
> 
> That leaves the line spacing issue for the text as it is much bigger in
> Calligra Stage

Interesting; I'll get some screenshots of how it looks for me; it'll
have to wait until the weekend.

Do you notice that the Tux is facing the opposite way in the two
parts in your screenshot - I don't know if that was true for me - weird!

Dave
Comment 3 Dave Gilbert 2012-03-17 12:30:51 UTC
Created attachment 69690 [details]
How it looks for Dave

OK, here's the version I've just captured; so I see the two bugs here:
  1) The vertical layout issue as originally reported
  2) Tux facing the opposite way.
Comment 4 T Zachmann 2012-03-25 04:57:44 UTC
Can you please check if the problem (to big black area) still exists for you with the 2.4 RC2. 

This is interesting bug as the background is a image and I have absolutely no idea how it should end up like that. Can you please provide some details about your distribution and version of Qt and KDE.

Thanks,
Comment 5 Dave Gilbert 2012-04-01 01:03:09 UTC
I can confirm it still exists in 2.4RC2 as shown on the current 'About Stage'.
(It says 'Using KDE Development Platform 4.8.1 (4.8.1)'

The system is a 64bit kubuntu precise beta system, up to date as of today :
It runs a single 1920x1080 display on the open source Radeon driver (radeon hd4350).

package versions:
ii  calligrastage                 1:2.3.92-0ubuntu1             presentation program for the Calligra Office Suite
ii  libqtgui4                     4:4.8.0-1ubuntu11             Qt 4 GUI module
ii  libqtcore4                    4:4.8.0-1ubuntu11             Qt 4 core module
ii  libkdecore5                   4:4.8.1-0ubuntu1              KDE Platform Core Library

(The tux is also still facing the wrong way!).
Comment 6 Dave Gilbert 2012-04-02 23:28:14 UTC
Created attachment 70096 [details]
One page example with all the problems

Ingwa on  #Calligra said it would be better to attach the document, especially if we could get it to show all the issues; so here we are;
it shows:
   1) The tux facing the wrong way
   2) The misaligned blue boxes
   3) The background with the black band too thick - actually if you look closely you can see at the bottom of the Libreoffice version there is some shading on the bottom of the page that stage doesn't show, so it's probably all the result of a wrong vertical scaling somewhere.

Dave
Comment 7 Inge Wallin 2012-04-04 17:44:17 UTC
Git commit 3423ea1117975521762833769fbd938208a9e2ad by Inge Wallin.
Committed on 04/04/2012 at 19:38.
Pushed by ingwa into branch 'master'.

Implement loading and saving for style:mirror for pictures.

This part prevents data loss.
Next step is painting.

M  +81   -9    plugins/pictureshape/PictureShape.cpp
M  +21   -2    plugins/pictureshape/PictureShape.h

http://commits.kde.org/calligra/3423ea1117975521762833769fbd938208a9e2ad
Comment 8 Inge Wallin 2012-04-04 17:48:55 UTC
I can confirm that all the problems mentioned above are present on my build of calligra master.
Changing status to NEW.
Comment 9 Inge Wallin 2012-04-04 20:52:26 UTC
Git commit c6bc9578b33341c77642a1bfec5b5891b7b38eac by Inge Wallin.
Committed on 04/04/2012 at 22:50.
Pushed by ingwa into branch 'master'.

Implement drawing for style:mirror for pictures.

This is part 2 of the support for style:mirror, the last one did
loading and saving.

This solves problem #1 of bug 295767.  Zagge, you're up next. :)

M  +40   -4    plugins/pictureshape/PictureShape.cpp
M  +1    -0    plugins/pictureshape/PictureShape.h

http://commits.kde.org/calligra/c6bc9578b33341c77642a1bfec5b5891b7b38eac